<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@android:color/white">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center_horizontal"
            android:orientation="vertical">

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="@dimen/height_bg_top_success_mpay"
                android:layout_gravity="center_horizontal"
                android:background="@drawable/bg_profile">

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentBottom="true"
                    android:layout_centerHorizontal="true"
                    android:layout_marginBottom="15dp">

                    <ImageView
                        android:id="@+id/imgCheck"
                        android:layout_width="wrap_content"
                        android:layout_height="@dimen/width_height_img_check_success_mpay"
                        android:layout_centerHorizontal="true"
                        android:src="@drawable/ic_successful" />

                    <com.seatel.mobilehall.util.customview.CustomTextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_below="@+id/imgCheck"
                        android:layout_centerHorizontal="true"
                        android:layout_marginTop="5dp"
                        android:text="@string/successful"
                        android:textColor="@android:color/white"
                        android:textSize="26dp" />
                </RelativeLayout>
            </RelativeLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:background="@android:color/white"
                android:orientation="vertical"
                android:padding="@dimen/default_screen_padding">

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center"
                    android:text="Thank you for your purchase!"
                    android:textColor="@color/colorPrimary"
                    android:textSize="32sp" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:id="@+id/tv_order_id"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="Your order #:"
                    android:textColor="@android:color/black"
                    android:textSize="@dimen/large_text_size" />

                <com.seatel.mobilehall.util.customview.CustomTextView
                    android:layout_width="match_parent"
                    android:layout_height="0dp"
                    android:layout_marginTop="10dp"
                    android:layout_weight="1"
                    android:text="@string/order_payment_success_message"
                    android:textSize="@dimen/large_text_size" />
            </LinearLayout>

            <com.seatel.mobilehall.util.customview.ActivateBuySimView
                android:id="@+id/activate_sim_view"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="10dp"
                android:visibility="gone" />
        </LinearLayout>
    </ScrollView>

    <LinearLayout
        android:id="@+id/layout_go_main"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:orientation="vertical">

        <com.seatel.mobilehall.util.customview.CustomButton
            android:id="@+id/button_my_order"
            android:layout_width="match_parent"
            android:layout_height="@dimen/button_height"
            android:visibility="visible"
            android:layout_marginStart="15dp"
            android:layout_marginEnd="15dp"
            android:background="@drawable/bg_button_stroke_color_prim"
            android:gravity="center"
            android:text="@string/my_order"
            android:textColor="@color/colorPrimary"
            android:textSize="@dimen/default_text_size" />

        <com.seatel.mobilehall.util.customview.CustomButton
            android:id="@+id/button_return_ehub"
            android:layout_width="match_parent"
            android:layout_height="@dimen/button_height"
            android:layout_marginStart="15dp"
            android:layout_marginTop="10dp"
            android:layout_marginEnd="15dp"
            android:layout_marginBottom="10dp"
            android:background="@drawable/bg_button_stroke_color_prim"
            android:gravity="center"
            android:text="Return to e-hub"
            android:textColor="@color/colorPrimary"
            android:textSize="@dimen/default_text_size" />

    </LinearLayout>

    <RelativeLayout
        android:id="@+id/layout_button_done"
        android:layout_width="match_parent"
        android:layout_height="50dp"
        android:layout_alignParentBottom="true"
        android:layout_marginTop="10dp">

        <View
            android:layout_width="match_parent"
            android:layout_height="30dp"
            android:layout_alignParentBottom="true"
            android:background="@color/colorPinkSoft" />

        <com.seatel.mobilehall.util.customview.CustomButton
            android:id="@+id/button_done"
            android:layout_width="match_parent"
            android:layout_height="@dimen/button_height"
            android:layout_marginStart="15dp"
            android:layout_marginEnd="15dp"
            android:background="@drawable/bg_button_primary"
            android:gravity="center"
            android:text="Done"
            android:textColor="@android:color/white"
            android:textSize="@dimen/default_text_size" />
    </RelativeLayout>

    <com.seatel.mobilehall.util.customview.ErrorHandleView
        android:id="@+id/error_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent" />
</RelativeLayout>